LINUX.ORG.RU

gentoo, зависимости, chromium и gtk3

 


0

1

Смотрю, кому в системе требуется gtk3, и не понимаю, как это расшифровать:

probook ~ # equery depends x11-libs/gtk+-3.20.9
.....
www-client/chromium-57.0.2987.98 (x11-libs/gtk+:2)
                                 (x11-libs/gtk+:3)
                                 (!gtk3 ? x11-libs/gtk+:2)
                                 (gtk3 ? x11-libs/gtk+:3)
.....
«если флаг gtk3 не установлен, то использовать gtk2, но gtk3 всё равно нужен обязательно»? Так?

И таки да, chromium действительно не может жить без gtk3:

probook ~ # emerge -cpv x11-libs/gtk+:3

Calculating dependencies... done!
  x11-libs/gtk+-3.20.9 pulled in by:
    www-client/chromium-57.0.2987.98 requires x11-libs/gtk+:3

хотя в USE-флагах ему сказано -gtk3:

probook ~ # emerge -pv chromium
.....
[ebuild   R    ] www-client/chromium-57.0.2987.98::gentoo  USE="cups hangouts proprietary-codecs suid system-ffmpeg system-libvpx tcmalloc -component-build -custom-cflags -gconf -gnome-keyring (-gtk3) -kerberos (-neon) -pic -pulseaudio (-selinux) {-test} (-widevine)"

Как-то можно заставить chromium не тянуть за собой gtk3?

лично по мне, криворукий мейнтейнер, надо баг-репорт оформлять

Deleted ()

можно заставить chromium не тянуть за собой gtk3?

Новый chromium перешёл на GTK+ 3, чтобы иметь улучшенную поддержку тем в дистрибутивах GNU/Linux:

http://www.omgubuntu.co.uk/wp-content/uploads/2017/03/before.jpg
http://www.omgubuntu.co.uk/wp-content/uploads/2017/03/after.jpg

Соответственно, жёсткая зависимость от GTK+ 3 — правильный подход. Ибо через несколько месяцев весь GTK+ 2 код будет удалён.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Нет бы на Qt перейти, а не на это убожество.

anonymous ()
Ответ на: комментарий от anonymous

Chromium это программа, которая подстраивается под десктопное окружение самых популярных дистрибутивов.

Вот когда Fedora, Ubuntu, Mint и Steam OS выберут Qt, а не GTK+, вот тогда и Chromium перейдёт на этот тулкит.

Но сейчас царь GUI в GNU/Linux именно GTK+ 3, и все популярные программы: Firefox, Java Apps, Chrome, Opera и пр. поклоняются именно ему.

В твоих силах исправить эту ситуацию. Поддержи Unity 8 на Qt 5.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

opera на qt же написана была, или сейчас все переписано?

deity ★★★ ()
Ответ на: комментарий от deity

И Opera и Firefox ушли с Qt лет 10 назад.

Opera на Presto использует собственный GUI-фреймворк, работающий напрямую с X.Org
Firefox использует GTK+ 2 и перешёл на GTK+ 3
Новая Opera — Aura + GTK+ 3
Chrom{e, ium} — Aura + GTK+ 3

Даже Skype отказался от Qt, сейчас это Electron + GTK+ 3 приложение.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

сейчас царь GUI в GNU/Linux именно GTK+ 3, и все популярные программы: Firefox, Java Apps, Chrome, Opera и пр. поклоняются именно ему.

А все нужные лично мне — на Qt, кроме браузера. :-)

В твоих силах исправить эту ситуацию. Поддержи Unity 8 на Qt 5.

Чтобы исправить ситуацию нужно (всего-то!) запилить поддержку WebExtensions в Otter Browser. Это была бы киллер-фича.

xdimquax ★★★★ ()
Ответ на: комментарий от EXL

electron кстати пока насколько я знаю ни в одном дистрибутиве по умолчанию с gtk3 не собирают. я с большим трудом запилил ebuild для этого в gentoo, основываясь на наработках автора какого то пакета в AUR'е. но сейчас с переходом chromium на gtk3 по умолчанию electron тоже должен в ближайшее время перейти

eternal_sorrow ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.